Bug 1127098 - RFE: Security audit logger tool client server mode info
Summary: RFE: Security audit logger tool client server mode info
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Data Grid 6
Classification: JBoss
Component: Documentation
Version: 6.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: Post GA
: 6.3.0
Assignee: Rakesh
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-06 07:03 UTC by Misha H. Ali
Modified: 2014-09-15 00:01 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Build Name: 12540, Developer Guide-6.3 Build Date: 06-08-2014 16:05:15 Topic IDs: 31264-673858 [Latest]
Last Closed: 2014-09-15 00:01:39 UTC
Type: Bug


Attachments (Terms of Use)

Description Misha H. Ali 2014-08-06 07:03:39 UTC
We currently document the library mode audit logger tool, need to add the client server tool

Comment 6 Rakesh 2014-08-07 20:32:39 UTC
Tristan, could you share your thoughts on the queries posted in Comment 5

Comment 11 Rakesh 2014-08-14 10:58:31 UTC
CS issue resolved. All the changes reflected.

Comment 14 Tomas Sykora 2014-08-14 11:43:23 UTC
Cool, thanks.

Comment 17 Rakesh 2014-08-18 13:23:34 UTC
Vojtech indicated there are other methods of configuring audit logger in server mode. He is going to delve into it and provide the other config or setup info by today or tomorrow. Bug on hold as awaiting further data.

Comment 20 Vojtech Juranek 2014-08-18 20:10:09 UTC
As I wrote, audit log is ignored in server mode - i.e. this part of doc is wrong and needs to be removed.

Comment 21 Rakesh 2014-08-19 11:36:17 UTC
Hey Tristan, Vojtech's finding reveals that the audit logger is ignored in the server mode and the provided config doesn't cause any parse errors (i.e. is correct), but doesn't log any security events.

Vojtech suggested removing the server config (remove after consulting with developers) by providing a brief explanation on why the audit log is ignored as customers would expect it to be available in server mode also. So please offer your comments on this to steer this bug devel further.

Comment 22 Vojtech Juranek 2014-08-19 13:10:58 UTC
Hi,
I'm sorry, it actually works correctly, but the security has to be turned on also on the cache:

<local-cache name="default" start="EAGER">
                    <locking isolation="NONE" acquire-timeout="30000" concurrency-level="1000" striping="false"/>
                    <transaction mode="NONE"/>
                    <security>
                        <authorization roles="admin reader writer supervisor"/>
                    </security>
                </local-cache>

I got confused by provided config sample or didn't realize it for some reason when I test it. With conf sniplet provided above the audit logger in server mode works correctly.

Comment 24 Rakesh 2014-08-19 13:41:47 UTC
Thank you Vojtech for your time and attention! Appreciate it! NP with the confusion, its all part of our game. What matters is the end sweet result! :-)

Comment 27 Misha H. Ali 2014-09-15 00:01:39 UTC
This content is now available on https://access.redhat.com/documentation/en-US/Red_Hat_JBoss_Data_Grid/


Note You need to log in before you can comment on or make changes to this bug.